<?php

/*
|--------------------------------------------------------------------------
| Module Routes
|--------------------------------------------------------------------------
|
| Here is where you can register all of the routes for this module.
| It's a breeze. Simply tell Laravel the URIs it should respond to
| and give it the Closure to execute when that URI is requested.
|
*/

Route::group(['prefix' => Config::get('app.api_path').'/mattermost', 'middleware' => 'mattermost'], function () {
    Route::any('support', 'App\Modules\Mattermost\Controllers\Api\V1\MattermostControllerREST@getSupport');
    Route::any('repair', 'App\Modules\Mattermost\Controllers\Api\V1\MattermostControllerREST@getRepair');
    Route::any('book', 'App\Modules\Mattermost\Controllers\Api\V1\MattermostControllerREST@bookSupport');
    Route::any('users', 'App\Modules\Mattermost\Controllers\Api\V1\MattermostControllerREST@showUsers');
    Route::any('clients', 'App\Modules\Mattermost\Controllers\Api\V1\MattermostControllerREST@getClients');
    Route::any('help', 'App\Modules\Mattermost\Controllers\Api\V1\MattermostControllerREST@showHelpTable');

    Route::any('icinga', 'App\Modules\Mattermost\Controllers\Api\V1\MattermostIcingaControllerREST@showIcinga');
});

/*
|--------------------------------------------------------------------------
| Pages rendered on the server
|--------------------------------------------------------------------------
|
| This group routes are pages rendered on the server.
| All the pages require the user to be authentificated.
|
*/

Route::group(['middleware' => ['web', 'auth']], function () {

});
